@font-face {
  font-family: "Raleway";
  src: url("../../fonts/Raleway-Medium.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Raleway Light";
  src: url("../../fonts/Raleway-Light.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Raleway Black";
  src: url("../../fonts/Raleway-Black.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Raleway Regular";
  src: url("../../fonts/Raleway-Regular.ttf") format("truetype");
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("../../fonts/Inter-Medium.ttf") format("truetype");
  font-display: swap;
}

button {
  cursor: pointer !important;
}

.border {
  border-bottom: 1px solid #E2E2E2;
  margin-top: 100px;
}

@media (max-width: 1199px) {
  .border {
    margin-top: 56px;
  }
}

.underline {
  text-decoration: underline;
}

.form {
  border: 1px solid var(--color-primary);
  background-color: var(--color-white);
  border-radius: 8px;
  padding: 48px 32px;
}

button.btn {
  display: flex;
  align-items: center;
  justify-content: center;
}

.vertical-bottom {
  justify-content: end;
}

@media (max-width: 425px) {
  .form {
    padding: 32px 16px;
  }
}

.color-primary {
  color: var(--color-primary);
}

.background-primary {
  background-color: var(--color-primary);
}

.background-white {
  background-color: var(--color-white);
}

.color-white {
  color: var(--color-white);
  -webkit-text-fill-color: #ffffff
}

.text-gray {
  color: var(--text-gray);
}

.color-dark-gray {
  color: var(--color-dark-gray);
}

.link-footer {
  font-size: 18px;
  line-height: 22.5px;
  font-family: var(--font-text);
}

select.input-default {
  -webkit-appearance: none;
  appearance: none;
  padding: 8px 12px !important;
  color: #B2B2B2;
  font-size: 14px;
  width: 140px;

  background-image: url("../../images/svg/select-arrow.svg");
  background-repeat: no-repeat;
  background-position-x: calc(100% - 16px);
  background-position-y: 50%;

  border: 0.5px solid transparent;
  border-radius: 2px;

  -webkit-transition: all 200ms linear;
  -moz-transition: all 200ms linear;
  -ms-transition: all 200ms linear;
  -o-transition: all 200ms linear;
  transition: all 200ms linear;
}

select.input-default:hover {
  cursor: pointer;
  border: 0.5px solid #7c878ea1;
}

.paginacao-select select.input-default {
  width: 145px;
}

.input-default.input-bordered {
  border: 1px solid #B2B2B2;
  width: 141px;
}

.input-default {
  width: 250px;
  height: 56px;
  background-color: var(--color-white);
  border: none;
  border-radius: 4px;
  padding: 17px 0 17px 24px;
}

.input-border-b {
  box-sizing: border-box;

  padding: 4px 0;
  border: none;
  border-bottom: 1px solid #B2B2B2;
  background-color: transparent;
}

.input-border-b::placeholder {
  color: #1B1D1C;
}

select.input-border-b {
  -webkit-appearance: none;
  appearance: none;

  background-image: url("../../images/svgs/arrow-bottom-black.svg");
  background-repeat: no-repeat;
  background-position-x: 100%;
  background-position-y: 50%;
}

.products-row {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
}

/* .listagem-mais-produtos .card-produto,
.div#mais-produtos-list .card-produto,
.grid-container .card-produto,
.linha-produtos-list .card-produto {
  border: solid 1px #e5e5e5;
} */

.card-produto {
  max-width: 280px;
  /* width: 440px; */
  border-radius: 8px;
  background-color: transparent;

  -webkit-transition: all 100ms linear;
  -moz-transition: all 100ms linear;
  -ms-transition: all 100ms linear;
  -o-transition: all 100ms linear;
  transition: all 100ms linear;
}

.card-produto:hover {
  box-shadow: 18px 29px 54px #E9E9E9;
}

.product-quick-view,
.product-title,
.product-price,
.product-see-more-btn {
  font-family: "Inter";
}

.product-price h5 {
  font-size: 16px;
  font-weight: bold;
}

.bold {
  font-weight: bold;
}

.right {
  justify-content: right;
}

.left {
  justify-content: left;
}

.product-images,
.spp-item-single-card-image {
  text-align: center;
  position: relative;
  width: 100%;
  height: 270px;

  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  overflow: hidden;
}

.product-image-featured,
.product-image-secondary {
  width: 100%;
  height: 270px;
  max-width: 280px;
  object-fit: cover;
  display: block;
  background-color: var(--color-white);
  border-radius: 6px 6px 0 0;
}

.product-image-secondary {
  display: none;
}

.product-images .product-image-secondary+.product-image-featured {
  animation: 0.6s ease appear-product-image-secondary;
}

.product-images:hover .product-image-secondary+.product-image-featured {
  display: none;
  animation: none;
}

.product-images:hover .product-image-secondary {
  display: block;
  animation: 0.6s ease appear-product-image-secondary;
}

.skeleton-load .product-images,
.spp-item-single-card-image {
  height: 350px;
}


.product-quick-view {
  z-index: 2;
  bottom: 100%;

  height: 58px;
  position: absolute;
  width: 100%;
  max-height: 3px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--secondary-theme-color);
  color: #fff;

  -webkit-transition: all 100ms linear;
  -moz-transition: all 100ms linear;
  -ms-transition: all 100ms linear;
  -o-transition: all 100ms linear;
  transition: all 100ms linear;
}

.product-quick-view>span {
  opacity: 0;
}

.card-produto:hover .product-quick-view {
  max-height: 58px;
}

.card-produto:hover .product-quick-view>span {
  opacity: 100%;
}

.product-parceled {
  font-family: "Inter";
  font-size: 12px;
  color: #7c878e;
}

.product-wish {
  background-color: transparent;
}

.product-wish::after {
  content: url("../../images/svgs/heart2.svg");
}

.product-wish.active::after {
  content: url("../../images/svgs/heart2-red.svg");
}

.product-wish:hover {
  cursor: pointer;
}

.product-color-ball {
  width: 22px;
  height: 22px;
  border-radius: 50%;
}

.product-color-ball:hover {
  cursor: pointer;
}

.product-color-ball.active {
  border: 1px solid var(--secondary-theme-color);
}

.product-color-ball-plus {
  display: flex;
  align-items: center;
  justify-content: center;

  background: rgba(206, 215, 220, 0.39);
  font-family: "Inter";
  font-size: 10px;
  color: #292e31;
}

.product-info {
  text-align: center border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
}

/* .product-info-head,
.product-info-middle {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 8px;
  height: 25px;
} */
.product-title {
  text-align: center;
  width: 100%;
}

.grid {
  display: grid;
  justify-items: center;
}

/* .product-info-foot {
  justify-content: space-between;
  padding: 0 24px 24px 24px;
} */

.product-info-foot a {
  text-decoration: none;
}

.product-stock-msg {
  font-family: "Inter";
  color: red;
  font-size: 14px;
  margin-bottom: 4px;
}

.product-info-middle {
  flex-wrap: wrap;
}

.product-price,
.product-original-price {
  width: 100%;
  margin-bottom: 4px;
  text-align: center;
}

.product-original-price {
  font-size: 12px;
  color: #ccc;
  text-decoration: line-through;
}

.product-colors {
  display: flex;
  gap: 8px;
}

.product-see-more-btn {
  line-height: 21px;
  border-radius: 5px;
  text-align: center;
  color: #fff;
  padding: 5px 0;
  display: block;
  width: 100%;

  background-image: linear-gradient(30deg,
      var(--primary-theme-color) 50%,
      transparent 50%);
  background-size: 850px;
  background-repeat: no-repeat;
  background-position: 0;
  border: 1px solid var(--primary-theme-color);

  -webkit-transition: 0.5s ease;
  transition: 0.5s ease;
}

.product-see-more-btn:hover {
  color: var(--secondary-theme-color);
  border-color: var(--secondary-theme-color);
  background-image: linear-gradient(30deg,
      var(--primary-theme-color) 50%,
      transparent 50%);
  background-size: 850px;
  background-repeat: no-repeat;
  background-position: 100%;
}

.product-quick-view-button-holder {
  display: block;
}

.card-produto:hover .product-quick-view-button {
  margin-bottom: 0;
}

.product-quick-view-button {
  padding: 10px 20px 10px 10px;
  background-color: #fff;
  color: var(--primary-theme-color);
  opacity: 0.95;
  position: absolute;
  bottom: 0;
  right: 0;
  border-top-left-radius: 10px;
  cursor: pointer;
  margin-bottom: -100px;
  transition: 0.3s all ease;
  display: flex;
  justify-content: center;
  align-items: center;
}

.product-quick-view-button-text {
  color: var(--primary-theme-color);
  margin-right: -90px;
  margin-left: 5px;
  transition: 0.3s all ease;
  opacity: 0;
}

.product-quick-view-button:hover .product-quick-view-button-text {
  margin-right: 0;
  display: block;
  opacity: 1;
}

.product-label {
  background-color: var(--primary-theme-color);
  color: #fff;
  padding: 2px 5px;
  position: absolute;
  left: -5px;
  top: 5px;
  z-index: 1;
}

/*-------ESTILOS MENU PAINEL CLIENTE-------*/
#page-map {
  padding: 20px 0 30px;
  color: #7c878e;
}

#page-name {
  color: var(--primary-theme-color);
}

#dashboard .container {
  gap: 32px;
}

.menu-conta {
  width: 280px;
}

.menu-conta-header {
  padding: 20px 0;
}

.menu-conta-header-title {
  color: var(--secondary-theme-color);
}

.menu-conta-item {
  padding: 20px 0 20px 20px;
  border-top: 1px solid #ced7dc;

  align-items: center;

  -webkit-transition: all 100ms linear;
  -moz-transition: all 100ms linear;
  -ms-transition: all 100ms linear;
  -o-transition: all 100ms linear;
  transition: all 100ms linear;
}

.menu-conta-item.active {
  border-right: 4px solid var(--primary-theme-color);
  color: var(--primary-theme-color);
}

.menu-conta-item:hover {
  color: var(--primary-theme-color);
}

.menu-conta li button {
  font-family: "Inter";
  font-size: 18px;
}

#icon-exit {
  margin-left: auto;
}

.dashboard-content {
  flex-grow: 1;
  max-width: 904px;
}

.dashboard-header {
  margin-bottom: 24px;
}

.dashboard-header span {
  display: block;
}

.swal-modal {
  font-family: "Inter";
}

.swal-modal .swal-text {
  text-align: center;
}

div.info-card-header-action {
  display: none !important;
}

@keyframes appear-product-image-secondary {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@media screen and (max-width: 767px) {
  .hide-mb {
    display: none;
  }

  .card-produto {
    flex-shrink: 0;
  }

  #dashboard .container {
    flex-direction: column;
  }

  .menu-conta {
    width: 100%;
  }

  .menu-conta-header {
    align-items: center;
    justify-content: space-between;
  }

  .menu-conta-btn-mb {
    background-color: transparent;
  }

  #menu-conta-open-ic,
  #menu-conta-close-ic {
    display: none;
  }

  .menu-conta-btn-mb:not(.active) #menu-conta-open-ic {
    display: block;
  }

  .menu-conta-btn-mb.active #menu-conta-close-ic {
    display: block;
  }

  .menu-conta-item {
    padding: 8px 0;
    flex-shrink: 0;
  }
}

/*Estilos compartilhados por mobile e tablet*/
@media screen and (max-width: 1199px) {
  .card-produto {
    /* width: 39vh; */
    min-width: 162px;
    border-radius: 11px;
  }

  .product-images img {
    max-width: 100%;
    height: 196px;
    overflow: hidden;
  }

  .product-title {
    font-size: 14px;
    line-height: 18.2px;
  }

  .product-price {
    width: 100%;
    order: 1;
    margin-top: 13px;
  }

  .product-parceled {
    order: 3;
    max-width: 100%;
  }

  .product-colors {
    order: 2;
  }

  .product-color-ball {
    width: 14px;
    height: 14px;
  }

  .product-color-ball:not(:first-child) {
    display: none;
  }

  .product-see-more-btn {
    font-size: 14px;
    line-height: 18.2px;
  }

  .product-quick-view {
    display: none;
  }

  .menu-conta {
    flex-shrink: 0;
  }

  #page-map {
    padding: 20px 0 30px;
  }
}

@media screen and (max-width: 768px) {
  .filtros-ativos-list {
    flex-wrap: wrap;
  }

}

@media screen and (max-width: 750px) {
  .product-quick-view-button .product-quick-view-button-text {
    margin-right: 0;
    display: block;
    opacity: 1;
  }

  .card-produto .product-quick-view-button {
    margin-bottom: 0;
    width: 100%;
    padding-left: 0;
    padding-right: 0;
  }
}

.inter {
  font-family: "inter";
}

/* Voltar ao topo */
.cd-top {
  background-size: 64px;
  border-radius: 300px;
  bottom: 15px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.05);
  display: flex;
  flex-direction: column;
  height: 18px;
  right: 15px;
  opacity: 0;
  overflow: hidden;
  padding: 20px 0;
  position: fixed;
  -webkit-transition: opacity 0.3s 0s, visibility 0s 0.3s;
  -moz-transition: opacity 0.3s 0s, visibility 0s 0.3s;
  transition: opacity 0.3s 0s, visibility 0s 0.3s;
  visibility: hidden;
  white-space: nowrap;
  width: 50px;
  height: 50px;
  z-index: 101;
  -webkit-border-radius: 300px;
  -moz-border-radius: 300px;
  -ms-border-radius: 300px;
  -o-border-radius: 300px;
  justify-content: center;
  align-items: center;
  border: none;
  cursor: pointer;
}

.cd-top.cd-is-visible {
  bottom: 15px;
  opacity: 1;
  visibility: visible;
  background-color: var(--color-primary);
}

.cd-top.cd-fade-out {
  opacity: 0.5;
}

.cd-top:hover {
  opacity: 1;
}

.cd-top i {
  color: #ffffff;
  margin: 0 auto;
}

.cd-top img {
  width: 64px;
}

.cd-top .upload-two {
  margin-top: -3px;
}

@keyframes appear-product-image-secondary {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}


.details-input-qtd button {
  display: inline-flex;
  border: 1px solid #E2E2E2;
  padding: 10px;
}


.details-input-qtd input {
  display: inline-flex;
  border: 1px solid #E2E2E2;
  width: 40px;
  text-align: center;
  font-family: "Inter";
}

.details-input-qtd .button.right {
  border-radius: 3px 0 0 3px;
  cursor: pointer;
}

.details-input-qtd .button.left {
  border-radius: 0 3px 3px 0;
  cursor: pointer;
}

/* Tamanho específico para os banners */

@media screen and (min-width: 961px) {
  .hd-desktop {
    display: none !important;
  }
}


@media screen and (max-width: 960px) {
  .hd-mobile {
    display: none !important;
  }
}


.title {
  width: auto;
  height: auto;
  position: absolute;
  top: 140px;
  left: 197px;
}

.title-vazada {
  color: transparent;
  -webkit-text-stroke: 1px var(--color-white);
  -webkit-text-stroke-color: var(--color-white);
  font-family: Inter;
  font-size: 150px;
  font-weight: 100;
  text-transform: uppercase;
  letter-spacing: 8px;
}

@media (max-width: 1199px) {
  .title-vazada {
    font-size: 48px;
    letter-spacing: 5px;
  }

  .banner,
  .banner img {
    height: 317px !important;
  }

  .banner {
    margin-top: 92px;
  }

  .title {
    left: 5%;
    top: 120px;
  }
}

@media (max-width: 350px) {
  .title-vazada {
    letter-spacing: 0px;
  }
}